
package Term::Size::Perl::Params; 

# created Sat Aug 17 17:58:25 2013

use vars qw($VERSION);
$VERSION = 0.029;

=head1 Term::Size::Perl::Params

=head2 params

    $href = Term::Size::Perl::Params

The configuration parameters C<Term::Size::Perl> needs to
know for retrieving the terminal size with C<ioctl>.

=cut

sub params {
    return (
        winsize => {
            sizeof => 8,
            mask => 'S!S!S!S!'
        },
        TIOCGWINSZ => {
            value => 1074295912,
            definition => qq{(((2U) << (((0+8)+8)+13)) | ((('t')) << (0+8)) | (((104)) << 0) | ((((sizeof(struct winsize)))) << ((0+8)+8)))}
        }
    );
}

1;
